### Method

# Foundry Config dup_builddir

#### Declaration [src]

    char*
    foundry_config_dup_builddir (
      FoundryConfig* self,
      FoundryBuildPipeline* pipeline
    )

#### Description [src]

Determines where the project build should occur.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  The `FoundryBuildPipeline` which will perform the build.

  The data is owned by the caller of the method.

#### Return value

Type: `char*`

The directory where the build should occur.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.